## groovy.io
Class EncodingAwareBufferedWriter

A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

author:
  Paul King

Field Summary
`OutputStreamWriter` | `out`

Constructor Summary
`EncodingAwareBufferedWriter(OutputStreamWriter out)`

Method Summary
`String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
`String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

Constructor Detail

### EncodingAwareBufferedWriter

    public EncodingAwareBufferedWriter(OutputStreamWriter out)

Method Detail

### getEncoding

    public String getEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.
  return:
    the encoding
  see:
    OutputStreamWriter#getEncoding

### getNormalizedEncoding

    public String getNormalizedEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.
  return:
    the encoding
  see:
    OutputStreamWriter#getEncoding